
//------------------------------------------------------------------------------
function mostrar(id1,id2,tabla,ancho, alto){


  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });
  
   
   var parametros = {"accion":'listado',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);}})

}


//------------------------------------------------------------------------------

function mostrar5(id1,id2,tabla,ancho, alto){


  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });
  
   
   var parametros = {"accion":'listado1',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"../../model/catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);}})

}

//------------------------------------------------------------------------------

function mostrargrad(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto

  });
   var parametros = {"accion":'listadograd',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);
                }
            })
}



function mostrar2(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });

var id=get("gr_id1");
    if(id=='')
        {
            alert("Ingrese Grado");
            exit();
            
        }else{
            
   var parametros = {"accion":'listadoc',"grado":id,"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){
                    
                    if(opciones=='no'){
                         alert ('No Existen Registros Ingrese Otro Grado');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                    }else{
                        $("#dialog").html(opciones);
                    }
                }
            })
    }
}


//-------------------------------------------------------
function mostrar_lista(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });

  	document.getElementById("#dialog").innerHTML='';
}


function mostrar_listagrad(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');

    });


    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

}

//--------------------------------------------------------

function limpiar(id1,id2){

    if (document.getElementById(id1).value==''){
        document.getElementById(id2).value='';
    }

}

function al_salir(id1,id2,tabla){
    
    var codigo=document.getElementById(id1).value;

      
    if (codigo!=''){

       var parametros = {"accion":'al_salir',"codigo":codigo,"tabla":tabla};
                       $.ajax({
                       data:  parametros,
                       url:"app/model/catalogos.php",
                       type: "POST",
                       success: function(respuesta){

                       
                           if (respuesta!="0"){
                            document.getElementById(id2).value=respuesta;
                           }
                           else{
                               alert ('No Existe Registro');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                           }

                }})

    }
}


function al_salir2(id1,id2,tabla){
    
    var id=get("gr_id1");
    if(id=='')
        {
            alert("Ingrese Grado")            
            document.getElementById("cur_id1").value='';                
            document.getElementById("gr_id1").focus();
            }else{
                var codigo=document.getElementById(id1).value;
                

                if (codigo!=''){

                   var parametros = {"accion":'al_salirc',"grado":id,"codigo":codigo,"tabla":tabla};
                                   $.ajax({
                                   data:  parametros,
                                   url:"app/model/catalogos.php",
                                   type: "POST",
                                   success: function(respuesta){


                                       if (respuesta!="0"){
                                        document.getElementById(id2).value=respuesta;
                                       }
                                       else{
                                           alert ('No Existe Registro');
                                           document.getElementById(id1).value='';
                                           document.getElementById(id2).value='';
                                           document.getElementById(id1).focus();
                                       }

                            }})

                }
        }
}



function al_salirgrad(id1,id2,tabla){

    var codigo=document.getElementById(id1).value;


    if (codigo!=''){

       var parametros = {"accion":'al_salir',"codigo":codigo,"tabla":tabla};
                       $.ajax({
                       data:  parametros,
                       url:"app/model/catalogos.php",
                       type: "POST",
                       success: function(respuesta){


                           if (respuesta!="0"){
                            document.getElementById(id2).value=respuesta;
                            document.getElementById('c_id1').value='';
                            document.getElementById('c_id2').value='';

                           }
                           else{
                               alert ('No Existe Registro');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                           }

                }})

    }
}

